/**
 * @ingroup Database client library
 * @file
 * Implements standard runtime exceptions for the database client library.
 *
 * @author Daniel Pustka <daniel.pustka@in.tum.de>
 * @author Peter Keitler <keitler@in.tum.de>
 */ 
 
#include "Exception.h"
 
namespace DbClient {

std::ostream& operator<<( std::ostream& o, const Exception& e )
{
    o << "exception \"" << e.what() << "\" from " << e.file() << ":" << e.line();
    return o;
}

} // namespace DbClient
