#ifndef _EASYLASE_H_
#define _EASYLASE_H_


#pragma pack(push)
#pragma pack(1)

struct LaserPoint {
	LaserPoint( unsigned short _x, unsigned short _y ) : x(_x), y(_y) { r = g = b = i = 0; }
  unsigned short x;  // 2 Bytes  Value 0 - 4095  X-Coordinate
  unsigned short y;  // 2 Bytes  Value 0 - 4095  Y-coordinate
  unsigned char  r;  // 1 Byte   Value 0 - 255   Red
  unsigned char  g;  // 1 Byte   Value 0 - 255   Green
  unsigned char  b;  // 1 Byte   Value 0 - 255   Blue
  unsigned char  i;  // 1 Byte   Value 0 - 255   Intensity
};

#pragma pack(pop)


/* Thank you, EasyLase. It's really _brilliant_ to use the same API for
 * Linux and Windows, but change the first letter of every function name.. */

#ifdef _WIN32
	#include "easylase.win32.h"
#else
	#define easyLaseInit();
	extern "C" {
		#include "easylase.linux.h"
	}
#endif

#endif // _EASYLASE_H_

