/*
 * Ubitrack - Library for Ubiquitous Tracking
 * Copyright 2006, Technische Universitaet Muenchen, and individual
 * contributors as indicated by the @authors tag. See the
 * copyright.txt in the distribution for a full listing of individual
 * contributors.
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this software; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
 */


/**
 * @ingroup driver_components
 * @file
 * RFID Stuff
 *
 * @author M.H. & B.B.
 */

#ifndef __RFID_DATABASE_H__
#define __RFID_DATABASE_H__

#include <Ubitrack/Graph/UTQLSubgraph.h>
#include <Ubitrack/Measurement/Measurement.h>
#include <tinyxml.h>
#include <map>

namespace Ubitrack { namespace Drivers { namespace RFID {

class RFIDDataBase
{
public:
	RFIDDataBase(Graph::UTQLSubgraph::NodePtr rfidTagListNode);
	~RFIDDataBase();

	Measurement::PositionList GetPositionsFromIDs(const Measurement::IDList& ids);

private:
	std::map< Math::Scalar< unsigned long > , Math::Vector< 3> > m_db;
};


} } } // namespace Ubitrack::Drivers::RFID

#endif //__RFID_DATABASE_H__