/*
 * File: SerialDriver.h
 * Author: SPAIK
 *
 * Implements a very dumbed down serial driver.  This driver is written
 *  specifically for the CompanyX manufacturing / resetter / ArbCom apps.
 *  Thus, this driver is not meant to be general purpose or complete.
 *
 * 22 Apr 2004: Created.
 *
 * Copyright ThingMagic LLC 2004
 */


#ifndef SERIALDRIVER_H
#define SERIALDRIVER_H

#include <windows.h>

typedef unsigned char  u8;
typedef unsigned short u16;
typedef   signed int   s32;
typedef unsigned int   u32;


class SerialDriver
{
public:
  SerialDriver(void);
  ~SerialDriver(void);

  bool  OpenPort(u8 portNum, u32 baudRate);
  bool  ClosePort(void);

  s32   SendData(const char *sendBuf, u32 numBytesToSend);
  s32   NumBytesInReadFifo(void);
  void  ClearSerialPort(void);
  s32   ReadData(void *readBuf, u32 maxNumBytesToRead);

private:

  // Member variables
  HANDLE  m_hSerialPort;
  u8      m_portNum;
  u32     m_baudRate;
  bool    m_portOpened;
};



#endif // #ifndef SERIALDRIVER_H