#ifndef __M5E_COM_H__
#define __M5E_COM_H__

#define MAX_PACKET_LEN    256
#define MAX_DATA_LENGTH		250
#define CRC_INIT					0xFFFF
#define CCITT_CRC_POLY		0x1021

class SerialDriver;

typedef struct Message
{
	u8	dataLen;
	u8  opCode;
  u8  status[2];
	u8  data[MAX_DATA_LENGTH];
	u16 crc;
} Message;


class M5eCom
{
public:
	M5eCom(int port, int baud);
	~M5eCom();

	bool secureCom( Message *hTX_Msg, Message *hRX_Msg, int wait = 20, int timeout = 20, int times = 4);
	bool receiveMessage( Message *hMsg);
	void sendMessage( Message *hMsg);

	bool checkOpcode(const Message *hTX_Msg, const Message *hRX_Msg);
	bool checkStatus(const Message *hMsg);
	bool checkResponse(const Message *hTX_Msg, const Message *hRX_Msg);

private:
	bool receiveMessageNTimes( Message *hMsg,int trials = 2);
	bool checkCrc(const Message *hMsg);
	u16  calcCrcFromDsp(const Message *hMsg);
	u16  calcCrcToDsp(const Message *hMsg);
	void CRC_calcCrc8(u16 *crcReg, u16 poly, u16 u8Data);

	SerialDriver*  _SD;
};


#endif //__M5E_COM_H__