#include "Stream.h"
#include <stdlib.h>
#include <iostream>


int main(int argc, char **argv)
{

	unsigned char buffer[640*480*3];
	unsigned char textbuf[1024];

	IplImage foo;

	foo.width = 640;
	foo.height = 480;
	foo.nChannels = 3;
	foo.origin = 0;
	foo.imageData = (char*)buffer;

	const char *filename;
	if (argc != 2) {
		printf("usage: %s output_file\n"
				 "API example program to output a media file with libavformat.\n"
				 "The output format is automatically guessed according to the file extension.\n"
				 "Raw images can also be output by using '%%d' in the filename\n"
				 "\n", argv[0]);
		exit(1);
	}

	filename = argv[1];

	StreamOutput so( std::string(filename), 640, 480, 25, 400000 );

	int i = 0;

	while (i < 500) {
		i++;
		for(int y=0;y<480;y++) {
			for(int x=0;x<640;x++) {
				buffer[(y * 640 + x)*3+0] = x + y + i * 1;
				buffer[(y * 640 + x)*3+1] = x + y + i * 2;
				buffer[(y * 640 + x)*3+2] = x + y + i * 3;
			}
		}

		snprintf( (char*)textbuf, sizeof(textbuf), "foobar%d", i );
		so.process( &foo, textbuf );

		//std::cout << time << std::endl;
	}

	return 0;
}

