#include "XsensMessage.h"

// byte-swap all measurement values in a message
void le2be( XSensMessage* xsm ) {
	for (int i = 0; i < 11; i++)
		xsm->values[i] = le2be(xsm->values[i]);
}

// New checksum is the single-byte sum over the packet, excluding the preamble
// but including the original checksum. Result should be 0, else discard packet.
void checksum( XSensMessage* xsm ) {
	unsigned char tmp = 0;
	for ( unsigned int i = 1; i < XSMSIZE; i++ )
		tmp += xsm->data[i];
	xsm->checksum = tmp;
}

