#ifndef _XSENSMESSAGE_H_
#define _XSENSMESSAGE_H_

#pragma pack(1)
struct XSensMessage {
	union {
		struct {
			unsigned char preamble;
			unsigned char address;
			unsigned char msgid;
			unsigned char length;
			union {
				struct {
					unsigned short sample;
					unsigned short acc[3];
					unsigned short gyr[3];
					unsigned short mag[3];
					unsigned short temperature;
				};
				unsigned short values[11];
			};
			unsigned char checksum;
		};
		unsigned char data[27];
	};
};

#define XSMSIZE sizeof(XSensMessage)

// byte-swap an unsigned short
inline unsigned short le2be( unsigned short tmp ) { return ((tmp&0xFF00)>>8) + ((tmp&0x00FF)<<8); }

// byte-swap all measurement values in a message
void le2be( XSensMessage* xsm ); 

// New checksum is the single-byte sum over the packet, excluding the preamble
// but including the original checksum. Result should be 0, else discard packet.
void checksum( XSensMessage* xsm ); 

#endif // _XSENSMESSAGE_H_

