:: Set library search path. It has to contain at least the lib/ sub-directory
:: (contains the native wrapper library and the Ubitrack library itself along
:: with its plugins) because otherwisee, the Java VM cannot find the native
:: wrapper (see also System.getProperty( "java.library.path" )). Furthermore, it
:: may contain all non-standard libraries needed by Ubitrack. Standard libraries
:: are always searched for by the linker in /lib/ or /usr/lib (Linux) or C:\Windows\System32 (Windows). Ubitrack comes
:: with all needed libraries except the standard libraries and maybe boost
:: because boost may not be available as a package on your platform, at least not
:: in a recent version. Thus, you probably have to specify to the linker the lib/
:: subdirectory of your Ubitrack installation as well as the installation
:: directory of boost. The prefered way to specify library paths to the linker is
:: adding them to /etc/ld.so.conf and running ldconfig as root (Linux). On the other
:: hand, it is annoying to run ldconfig whenever new plugins for Ubitrack arise
:: during development. In this situation (or if your account does not have
:: permission to edit ld.so.conf and run ldconfig), adding them to the
:: environment variable LD_LIBRARY_PATH (Linux) or PATH (Windows) is the better option. For
:: Windows, there is no equivalent to ld.so.conf, so either put the necessary dlls to C:\Windows\System32 or
:: update the PATH variable. For some reason, the PATH variable in the "user" section does not always work
:: as expected for dlls, so update the PATH variable containted in the "system" section".

:: The following setting assumes that all libraries needed by Ubitrack (including
:: boost) can be found via the prefered mechanism and only the Ubitrack stuff has
:: to be additionally specified.

set PATH=%PATH%;..\..\..\bin


:: (Re-)compile console application

javac -cp .;..\..\..\lib\ubitrack.jar console.java


:: Invoke console application with sample dataflow configuration (works without
:: any hardware) and register an application push sink for pattern with ID
:: TestReceiver

java -cp .;..\..\..\lib\ubitrack.jar console ..\..\..\doc\utql\examples\ExamplePushSink.xml TestReceiver


:: Invoke console application with snowman marker tracker demo configuration 

::java console ..\..\..\doc\utql\MarkerTrackerDemoResponse.xml
