#include <string>
#include <iostream>

#include <Ubitrack/Dataflow/Port.h>
#include <Ubitrack/Dataflow/Component.h>
#include <Ubitrack/Dataflow/ComponentFactory.h>

namespace Ubitrack { namespace Dataflow {

class TestComponent : public Component
{
public:
	TestComponent( const std::string& nm, boost::shared_ptr< Graph::UTQLSubgraph > subgraph );

protected:
	Port m_Port;
};


TestComponent::TestComponent( const std::string& nm, boost::shared_ptr< Graph::UTQLSubgraph > subgraph )
	: Ubitrack::Dataflow::Component( nm )
	, m_Port( "MagicPort", *this )
{}


UBITRACK_REGISTER_COMPONENT( ComponentFactory* const cf ) {
	cf->registerComponent< TestComponent > ( "TestComponent" );
}

}}
